Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Get Dispatch Settings GETCreate Dispatch Settings POSTUpdate Dispatch Settings PUTGet project by ID GETGet projects GETCreate project POSTGet Provider Talent Pool Group Assignments in Project GETUpdate Provider Talent Pool Group Assignments in Project PUTAdd multiple providers to project talent pool groups POST
OrganizationProjects

Add multiple providers to project talent pool groups


This endpoint allows you to add one or more providers to multiple talent pool groups with specific tier (talent pool) assignments. Each talent pool group can have multiple tier assignments, and the providers will be added to the specified tier within each talent pool group.

POST
/api/rest/v2/projects/{project_id}/providers

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

project_id*integer

Project ID

Request Body

application/json

Provider(s) and talent pool group assignment details

provider_id*array<>

Array of provider IDs to add to talent pool groups

talent_pool_groups*array<>

List of talent pool group assignments. Each talent pool group can have multiple tier assignments

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/projects/0/providers" \  -H "Content-Type: application/json" \  -d '{    "provider_id": [      557,      558    ],    "talent_pool_groups": [      {        "talent_pool_group_id": "c9024ae8-781c-4aa9-b86f-54367Idb9208",        "tier_id": 1      }    ]  }'
{
  "success": true
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Update Provider Talent Pool Group Assignments in Project PUT

Previous Page

Get Location GET

Next Page

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/projects/0/providers" \
  -H "Content-Type: application/json" \
  -d '{
    "provider_id": [
      557,
      558
    ],
    "talent_pool_groups": [
      {
        "talent_pool_group_id": "c9024ae8-781c-4aa9-b86f-54367Idb9208",
        "tier_id": 1
      }
    ]
  }'